package com.younike.system.mapper;

import com.younike.system.domain.OrderModify;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 订单修改记录Mapper接口
 * 
 * @author elev
 * @date 2022-02-10
 */
public interface OrderModifyMapper {
    /**
     * 查询订单修改记录
     * 
     * @param recordId 订单修改记录主键
     * @return 订单修改记录
     */
    OrderModify selectOrderModifyByRecordId(Long recordId);

    /**
     * 查询订单修改记录列表
     * 
     * @param orderModify 订单修改记录
     * @return 订单修改记录集合
     */
    List<OrderModify> selectOrderModifyList(OrderModify orderModify);

    /**
     * 新增订单修改记录
     * 
     * @param orderModify 订单修改记录
     * @return 结果
     */
    int insertOrderModify(OrderModify orderModify);

    /**
     * 修改订单修改记录
     * 
     * @param orderModify 订单修改记录
     * @return 结果
     */
    int updateOrderModify(OrderModify orderModify);

    /**
     * 删除订单修改记录
     * 
     * @param recordId 订单修改记录主键
     * @return 结果
     */
    int deleteOrderModifyByRecordId(Long recordId);

    /**
     * 批量删除订单修改记录
     * 
     * @param recordIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteOrderModifyByRecordIds(Long[] recordIds);

    OrderModify getLatestRecord(@Param("orderId") Long orderId);
}
